package com.futhark.item;

import com.futhark.Futhark;
import com.futhark.block.FutharkBlocks;
import net.fabricmc.fabric.api.itemgroup.v1.FabricItemGroup;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.ItemStack;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.text.Text;
import net.minecraft.util.Identifier;

public class FutharkItemGroups {
    public static final ItemGroup FUTHARK_GROUP = Registry.register(Registries.ITEM_GROUP,
            new Identifier(Futhark.MOD_ID, "jaffa"),
            FabricItemGroup.builder().displayName(Text.translatable("itemgroup.jaffa"))
                    .icon(() -> new ItemStack(FutharkItems.JAFFA_CAKE))
                    .entries(((displayContext, entries) -> {
                entries.add(FutharkBlocks.JAFFA_JAM_BLOCK);
                entries.add(FutharkBlocks.RUNE_BLOCK);
                entries.add(FutharkItems.JAFFA_JAM);
                entries.add(FutharkItems.JAFFA_CAKE);
                entries.add(FutharkItems.RUNIC_CHISEL);
            })).build());

    public static void init() {
        Futhark.LOGGER.info("Registering Item Groups");
    }
}
